## akonadi-import-wizard 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.19.3")
project(AkonadiImportWizard VERSION ${PIM_VERSION})


set(KF5_MIN_VERSION "5.87.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

# Do NOT add quote
set(KDEPIM_DEV_VERSION)
set(RELEASE_SERVICE_VERSION "21.12.3")

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()


set(PIM_VERSION "${PIM_VERSION}")
set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")


set(KMAILTRANSPORT_LIB_VERSION "5.19.3")
set(AKONADI_VERSION "5.19.3")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "5")

set(QT_REQUIRED_VERSION "5.15.2")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Gui)
set(MAILIMPORTER_VERSION "5.19.3")
set(MAILCOMMON_LIB_VERSION "5.19.3")
set(MESSAGELIB_LIB_VERSION "5.19.3")
set(PIMCOMMON_LIB_VERSION "5.19.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.19.3")

# Find KF5 package
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Auth ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} REQUIRED)

# Find KdepimLibs Package
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailImporterAkonadi ${MAILIMPORTER_VERSION} CONFIG REQUIRED)
find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
include_directories(${importwizard_SOURCE_DIR} ${importwizard_BINARY_DIR})

find_package(Qt5Keychain CONFIG)
set_package_properties(Qt5Keychain PROPERTIES
                                   DESCRIPTION "Provides support for secure credentials storage"
                                   URL "https://github.com/frankosterfeld/qtkeychain"
                                   TYPE REQUIRED)


add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT IMPORTWIZARD
        FILE importwizard.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

add_subdirectory(doc)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
kdoctools_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===


configure_file(importwizard-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/importwizard-version.h @ONLY)
add_subdirectory(icons)
add_subdirectory(libimportwizard)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-kontact-import-wizard.png")
ecm_add_app_icon(importwizard_SRCS ICONS ${ICONS_SRCS})
add_executable(akonadiimportwizard)

target_sources(akonadiimportwizard PRIVATE
    main.cpp
    importwizard.cpp
    importwizardkernel.cpp
    importmailpluginmanager.cpp
    importwizarddisplayinfo.cpp
    manual/manualimportmailpage.cpp
    manual/importwizardfilterinfogui.cpp
    manual/manualselectfilterpage.cpp
    autodetect/widgets/selectprogramlistwidget.cpp
    autodetect/selectprogrampage.cpp
    autodetect/importaddressbookpage.cpp
    autodetect/importfilterpage.cpp
    autodetect/importmailpage.cpp
    autodetect/importsettingpage.cpp
    autodetect/importfinishpage.cpp
    autodetect/selectcomponentpage.cpp
    autodetect/importfilterinfogui.cpp
    autodetect/importcalendarpage.cpp

    importmailpluginmanager.h
    autodetect/importaddressbookpage.h
    autodetect/selectprogrampage.h
    autodetect/importfilterpage.h
    autodetect/selectcomponentpage.h
    autodetect/importfinishpage.h
    autodetect/importmailpage.h
    autodetect/widgets/selectprogramlistwidget.h
    autodetect/importsettingpage.h
    autodetect/importfilterinfogui.h
    autodetect/importcalendarpage.h
    importwizardkernel.h
    importwizarddisplayinfo.h
    libimportwizard_private_export.h
    importwizard.h
    manual/manualselectfilterpage.h
    manual/manualimportmailpage.h
    manual/importwizardfilterinfogui.h
    )


ki18n_wrap_ui(akonadiimportwizard
    ui/autodetect/selectprogrampage.ui
    ui/autodetect/importaddressbookpage.ui
    ui/autodetect/importfilterpage.ui
    ui/autodetect/importmailpage.ui
    ui/autodetect/importsettingpage.ui
    ui/autodetect/selectcomponentpage.ui
    ui/autodetect/importfinishpage.ui
    ui/autodetect/importcalendarpage.ui
    ui/manual/manualimportmailpage.ui
    ui/manual/manualselectfilterpage.ui
    )

ecm_qt_declare_logging_category(akonadiimportwizard HEADER importwizard_debug.h IDENTIFIER IMPORTWIZARD_LOG CATEGORY_NAME org.kde.pim.importwizard
        DESCRIPTION "importwizard (importwizard)"
        OLD_CATEGORY_NAMES log_importwizard
        EXPORT IMPORTWIZARD
    )


if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akonadiimportwizard PROPERTIES UNITY_BUILD ON)
endif()
target_link_libraries(akonadiimportwizard
    KPimImportWizard
    KF5::AkonadiCore
    KF5::XmlGui
    KF5::MailImporterAkonadi
    KF5::PimCommon
    KF5::MailCommon
    KF5::I18n
    KF5::CoreAddons
    KF5::Crash
    KF5::DBusAddons
    Qt::Widgets
    KF5::ConfigCore
    KF5::WidgetsAddons
    )

install(TARGETS akonadiimportwizard  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS data/org.kde.akonadiimportwizard.desktop DESTINATION ${KDE_INSTALL_APPDIR})

add_subdirectory(manual/pics)
add_subdirectory(plugins/)

=== src/plugins/balsa/CMakeLists.txt ===
set(balsaimporter_SRCS
    balsaaddressbook.cpp
    balsaimportdata.cpp
    balsasettings.cpp
    balsasettings.h
    balsaimportdata.h
    balsaaddressbook.h

    )
ecm_qt_declare_logging_category(balsaimporter_SRCS HEADER balsaplugin_debug.h
        IDENTIFIER BALSAPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.balsaplugin
        DESCRIPTION "importwizard (balsa plugin)"
        EXPORT IMPORTWIZARD
    )



kcoreaddons_add_plugin(balsaimporterplugin SOURCES ${balsaimporter_SRCS} INSTALL_NAMESPACE importwizard)
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(balsaimporterplugin PROPERTIES UNITY_BUILD ON)
endif()
set_target_properties(balsaimporterplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/importwizard/")

target_link_libraries(balsaimporterplugin
    KPim::ImportWizard
    KF5::XmlGui
    KF5::I18n
    KF5::Contacts
    KF5::MailImporterAkonadi
    KF5::MailTransport
    KF5::MailCommon
    KF5::IdentityManagement
    KF5::MessageViewer
    )

=== src/plugins/icedove/CMakeLists.txt ===
set(icedoveimporter_SRCS
    icedoveimportdata.cpp
    ../thunderbird/thunderbirdaddressbook.cpp
    ../thunderbird/thunderbirdsettings.cpp
    ../thunderbird/addressbook/MorkParser.cpp
    icedoveimportdata.h
    )

ecm_qt_declare_logging_category(icedoveimporter_SRCS HEADER thunderbirdplugin_debug.h
        IDENTIFIER THUNDERBIRDPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.thunderbirdplugin
        DESCRIPTION "importwizard (thunderbird plugin)"
        EXPORT IMPORTWIZARD
    )

kcoreaddons_add_plugin(icedoveimporterplugin SOURCES ${icedoveimporter_SRCS} INSTALL_NAMESPACE importwizard)
set_target_properties(icedoveimporterplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/importwizard/")
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(icedoveimporterplugin PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(icedoveimporterplugin
    KPim::ImportWizard
    KF5::XmlGui
    KF5::I18n
    KF5::Contacts
    KF5::MailImporterAkonadi
    KF5::MailTransport
    KF5::IdentityManagement
    KF5::MailCommon
    )

=== src/plugins/seamonkey/CMakeLists.txt ===
set(seamonkeyimporter_SRCS
    seamonkeyimportdata.cpp
    ../thunderbird/thunderbirdaddressbook.cpp
    ../thunderbird/thunderbirdsettings.cpp
    ../thunderbird/addressbook/MorkParser.cpp
    seamonkeyimportdata.h
    )

ecm_qt_declare_logging_category(seamonkeyimporter_SRCS HEADER thunderbirdplugin_debug.h
        IDENTIFIER THUNDERBIRDPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.thunderbirdplugin
        DESCRIPTION "importwizard (thunderbird plugin)"
        EXPORT IMPORTWIZARD
    )

kcoreaddons_add_plugin(seamonkeyimporterplugin SOURCES ${seamonkeyimporter_SRCS} INSTALL_NAMESPACE importwizard)
set_target_properties(seamonkeyimporterplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/importwizard/")
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(seamonkeyimporterplugin PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(seamonkeyimporterplugin
    KPim::ImportWizard
    KF5::XmlGui
    KF5::I18n
    KF5::Contacts
    KF5::MailImporterAkonadi
    KF5::MailTransport
    KF5::IdentityManagement
    KF5::MailCommon
    )

=== debian/changelog ===
akonadi-import-wizard (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:04:45 +0000

akonadi-import-wizard (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:11:07 +0000

akonadi-import-wizard (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:19:06 +0000

akonadi-import-wizard (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:15:53 +0000

akonadi-import-wizard (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:11:29 +0000

akonadi-import-wizard (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:29:08 +0000

akonadi-import-wizard (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:34:46 +0000

=== debian/control ===
Source: akonadi-import-wizard
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.39.0~),
               libkf5akonadi-dev (>= 4:21.12.3~),
               libkf5auth-dev (>= 5.39.0~),
               libkf5config-dev (>= 5.39.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5crash-dev (>= 5.39.0~),
               libkf5dbusaddons-dev (>= 5.39.0~),
               libkf5doctools-dev (>= 5.39.0~),
               libkf5grantleetheme-dev (>= 21.12.3~),
               libkf5identitymanagement-dev (>= 21.12.3~),
               libkf5kio-dev (>= 5.39.0~),
               libkf5libkdepim-dev (>= 4:21.12.3~),
               libkf5mailcommon-dev (>= 4:21.12.3~),
               libkf5mailimporter-dev (>= 4:21.12.3~),
               libkf5mailtransport-dev (>= 21.12.3~),
               libkf5messageviewer-dev (>= 4:21.12.3~),
               libkf5pimcommon-dev (>= 4:21.12.3~),
               libkf5wallet-dev (>= 5.39.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qt5keychain-dev,
               qtbase5-dev (>= 5.8.0~),
Standards-Version: 4.1.3
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard

Package: akonadi-import-wizard
Section: mail
Architecture: any
Depends: libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-doc (<< 4:17.08~),
        kmail (<< 4:17.08~),
        kontact (<< 4:17.08~),
        ${kde-l10n:all},
Replaces: kdepim-doc (<< 4:17.08~),
          kmail (<< 4:17.08~),
          kontact (<< 4:17.08~),
          ${kde-l10n:all},
Description: PIM data import wizard
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications

Package: libkpimimportwizard-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-dev (>= 21.12.3~),
         libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: PIM data import wizard - devel files
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard developmentt files.

Package: libkpimimportwizard5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PIM data import wizard - library
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard shared libraries.

## akonadi-import-wizard 22.08.0

=== debian/changelog ===
akonadi-import-wizard (4:22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:12:11 +0200

akonadi-import-wizard (4:22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:52:51 +0200

akonadi-import-wizard (4:22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:59:31 +0200

akonadi-import-wizard (4:22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:04:15 +0200

akonadi-import-wizard (4:22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:48:54 +0200

akonadi-import-wizard (4:22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 May 2022 21:02:36 +0200

akonadi-import-wizard (4:21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:11:53 +0200

akonadi-import-wizard (4:21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 23:36:01 +0100

akonadi-import-wizard (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:18:38 +0900

akonadi-import-wizard (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:41:18 +0900

akonadi-import-wizard (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:31:32 +0900

akonadi-import-wizard (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:07:50 +0900

akonadi-import-wizard (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:45:52 +0900

=== debian/control ===
Source: akonadi-import-wizard
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.95.0~),
               libgrantlee5-dev (>= 5.2~),
               libkf5akonadi-dev (>= 4:22.08.0~),
               libkf5auth-dev (>= 5.95.0~),
               libkf5config-dev (>= 5.95.0~),
               libkf5contacts-dev (>= 5:5.95.0~),
               libkf5crash-dev (>= 5.95.0~),
               libkf5dbusaddons-dev (>= 5.95.0~),
               libkf5doctools-dev (>= 5.95.0~),
               libkf5identitymanagement-dev (>= 22.08.0~),
               libkf5kio-dev (>= 5.95.0~),
               libkf5mailcommon-dev (>= 4:22.08.0~),
               libkf5mailimporter-dev (>= 4:22.08.0~),
               libkf5mailtransport-dev (>= 22.08.0~),
               libkf5messageviewer-dev (>= 4:22.08.0~),
               libkf5pimcommon-dev (>= 4:22.08.0~),
               libkf5templateparser-dev (>= 4:22.08.0~),
               libkf5webengineviewer-dev (>= 4:22.08.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qt5keychain-dev,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/pim/akonadi-import-wizard
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard.git
Rules-Requires-Root: no

Package: akonadi-import-wizard
Section: mail
Architecture: any
Depends: libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: PIM data import wizard
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications

Package: libkpimimportwizard-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-dev (>= 22.08.0~),
         libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: PIM data import wizard - devel files
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard developmentt files.

Package: libkpimimportwizard5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PIM data import wizard - library
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard shared libraries.
Provides: ${ABI:VirtualPackage}

## akonadi-import-wizard 22.08.1

=== debian/changelog ===
akonadi-import-wizard (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:34:15 +0100

akonadi-import-wizard (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Update build depends.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:44:43 +0100

akonadi-import-wizard (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:21:52 +0100

akonadi-import-wizard (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:55:18 +0100

akonadi-import-wizard (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:52:03 +0100

akonadi-import-wizard (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:41:52 +0100

=== debian/control ===
Source: akonadi-import-wizard
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.39.0~),
               libkf5akonadi-dev (>= 4:22.08.1~),
               libkf5auth-dev (>= 5.39.0~),
               libkf5config-dev (>= 5.39.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5crash-dev (>= 5.39.0~),
               libkf5dbusaddons-dev (>= 5.39.0~),
               libkf5doctools-dev (>= 5.39.0~),
               libkf5grantleetheme-dev (>= 22.08.1~),
               libkf5identitymanagement-dev (>= 22.08.1~),
               libkf5kio-dev (>= 5.39.0~),
               libkf5libkdepim-dev (>= 4:22.08.1~),
               libkf5mailcommon-dev (>= 4:22.08.1~),
               libkf5mailimporter-dev (>= 4:22.08.1~),
               libkf5mailtransport-dev (>= 22.08.1~),
               libkf5messageviewer-dev (>= 4:22.08.1~),
               libkf5pimcommon-dev (>= 4:22.08.1~),
               libkf5templateparser-dev (>= 4:22.08.1~),
               libkf5wallet-dev (>= 5.39.0~),
               libkf5webengineviewer-dev (>= 4:22.08.1~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qt5keychain-dev,
               qtbase5-dev (>= 5.8.0~),
Standards-Version: 4.1.3
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard

Package: akonadi-import-wizard
Section: mail
Architecture: any
Depends: libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-doc (<< 4:17.08~),
        kmail (<< 4:17.08~),
        kontact (<< 4:17.08~),
        ${kde-l10n:all},
Replaces: kdepim-doc (<< 4:17.08~),
          kmail (<< 4:17.08~),
          kontact (<< 4:17.08~),
          ${kde-l10n:all},
Description: PIM data import wizard
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications

Package: libkpimimportwizard-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-dev (>= 22.08.1~),
         libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: PIM data import wizard - devel files
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard developmentt files.

Package: libkpimimportwizard5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PIM data import wizard - library
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard shared libraries.

## akonadi-import-wizard 22.08.2

=== debian/changelog ===
akonadi-import-wizard (4:22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:13:34 +0200

=== debian/control ===
Source: akonadi-import-wizard
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.95.0~),
               libgrantlee5-dev (>= 5.2~),
               libkf5akonadi-dev (>= 4:22.08.2~),
               libkf5auth-dev (>= 5.95.0~),
               libkf5config-dev (>= 5.95.0~),
               libkf5contacts-dev (>= 5:5.95.0~),
               libkf5crash-dev (>= 5.95.0~),
               libkf5dbusaddons-dev (>= 5.95.0~),
               libkf5doctools-dev (>= 5.95.0~),
               libkf5identitymanagement-dev (>= 22.08.2~),
               libkf5kio-dev (>= 5.95.0~),
               libkf5mailcommon-dev (>= 4:22.08.2~),
               libkf5mailimporter-dev (>= 4:22.08.2~),
               libkf5mailtransport-dev (>= 22.08.2~),
               libkf5messageviewer-dev (>= 4:22.08.2~),
               libkf5pimcommon-dev (>= 4:22.08.2~),
               libkf5templateparser-dev (>= 4:22.08.2~),
               libkf5webengineviewer-dev (>= 4:22.08.2~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qt5keychain-dev,
               qtbase5-dev (>= 5.15.2~)
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/pim/akonadi-import-wizard
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard.git
Rules-Requires-Root: no

Package: akonadi-import-wizard
Section: mail
Architecture: any
Depends: libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: PIM data import wizard
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications

Package: libkpimimportwizard-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-dev (>= 22.08.2~),
         libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: PIM data import wizard - devel files
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard developmentt files.

Package: libkpimimportwizard5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PIM data import wizard - library
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard shared libraries.
Provides: ${ABI:VirtualPackage}

## akonadi-import-wizard 22.08.3

=== debian/changelog ===
akonadi-import-wizard (4:22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:56:01 +0100

=== debian/control ===
--- 
+++ 
@@ -11,22 +11,22 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.95.0~),
                libgrantlee5-dev (>= 5.2~),
-               libkf5akonadi-dev (>= 4:22.08.2~),
+               libkf5akonadi-dev (>= 4:22.08.3~),
                libkf5auth-dev (>= 5.95.0~),
                libkf5config-dev (>= 5.95.0~),
                libkf5contacts-dev (>= 5:5.95.0~),
                libkf5crash-dev (>= 5.95.0~),
                libkf5dbusaddons-dev (>= 5.95.0~),
                libkf5doctools-dev (>= 5.95.0~),
-               libkf5identitymanagement-dev (>= 22.08.2~),
+               libkf5identitymanagement-dev (>= 22.08.3~),
                libkf5kio-dev (>= 5.95.0~),
-               libkf5mailcommon-dev (>= 4:22.08.2~),
-               libkf5mailimporter-dev (>= 4:22.08.2~),
-               libkf5mailtransport-dev (>= 22.08.2~),
-               libkf5messageviewer-dev (>= 4:22.08.2~),
-               libkf5pimcommon-dev (>= 4:22.08.2~),
-               libkf5templateparser-dev (>= 4:22.08.2~),
-               libkf5webengineviewer-dev (>= 4:22.08.2~),
+               libkf5mailcommon-dev (>= 4:22.08.3~),
+               libkf5mailimporter-dev (>= 4:22.08.3~),
+               libkf5mailtransport-dev (>= 22.08.3~),
+               libkf5messageviewer-dev (>= 4:22.08.3~),
+               libkf5pimcommon-dev (>= 4:22.08.3~),
+               libkf5templateparser-dev (>= 4:22.08.3~),
+               libkf5webengineviewer-dev (>= 4:22.08.3~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qt5keychain-dev,
@@ -51,7 +51,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mailtransport-dev (>= 22.08.2~),
+Depends: libkf5mailtransport-dev (>= 22.08.3~),
          libkpimimportwizard5  (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}

## akonadi-import-wizard 22.12.0

=== debian/changelog ===
akonadi-import-wizard (4:22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:35:16 +0100

akonadi-import-wizard (4:22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:07:16 +0100

=== debian/control ===
Source: akonadi-import-wizard
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               libgrantlee5-dev (>= 5.2~),
               libkf5akonadi-dev (>= 4:22.12.0~),
               libkf5auth-dev (>= 5.99.0~),
               libkf5config-dev (>= 5.99.0~),
               libkf5contacts-dev (>= 5:5.99.0~),
               libkf5crash-dev (>= 5.99.0~),
               libkf5dbusaddons-dev (>= 5.99.0~),
               libkf5doctools-dev (>= 5.99.0~),
               libkf5identitymanagement-dev (>= 22.12.0~),
               libkf5kio-dev (>= 5.99.0~),
               libkf5mailcommon-dev (>= 4:22.12.0~),
               libkf5mailimporter-dev (>= 4:22.12.0~),
               libkf5mailtransport-dev (>= 22.12.0~),
               libkf5messageviewer-dev (>= 4:22.12.0~),
               libkf5pimcommon-dev (>= 4:22.12.0~),
               libkf5templateparser-dev (>= 4:22.12.0~),
               libkf5webengineviewer-dev (>= 4:22.12.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qt5keychain-dev,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/akonadi-import-wizard
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard.git
Rules-Requires-Root: no

Package: akonadi-import-wizard
Section: mail
Architecture: any
Depends: libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: PIM data import wizard
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications

Package: libkpimimportwizard-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-dev (>= 22.12.0~),
         libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: PIM data import wizard - devel files
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard developmentt files.

Package: libkpimimportwizard5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PIM data import wizard - library
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard shared libraries.
Provides: ${ABI:VirtualPackage}

## akonadi-import-wizard 22.12.2

=== debian/changelog ===
akonadi-import-wizard (4:22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:28:57 +0100

=== debian/control ===
--- 
+++ 
@@ -11,22 +11,22 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.99.0~),
                libgrantlee5-dev (>= 5.2~),
-               libkf5akonadi-dev (>= 4:22.12.0~),
+               libkf5akonadi-dev (>= 4:22.12.2~),
                libkf5auth-dev (>= 5.99.0~),
                libkf5config-dev (>= 5.99.0~),
                libkf5contacts-dev (>= 5:5.99.0~),
                libkf5crash-dev (>= 5.99.0~),
                libkf5dbusaddons-dev (>= 5.99.0~),
                libkf5doctools-dev (>= 5.99.0~),
-               libkf5identitymanagement-dev (>= 22.12.0~),
+               libkf5identitymanagement-dev (>= 22.12.2~),
                libkf5kio-dev (>= 5.99.0~),
-               libkf5mailcommon-dev (>= 4:22.12.0~),
-               libkf5mailimporter-dev (>= 4:22.12.0~),
-               libkf5mailtransport-dev (>= 22.12.0~),
-               libkf5messageviewer-dev (>= 4:22.12.0~),
-               libkf5pimcommon-dev (>= 4:22.12.0~),
-               libkf5templateparser-dev (>= 4:22.12.0~),
-               libkf5webengineviewer-dev (>= 4:22.12.0~),
+               libkf5mailcommon-dev (>= 4:22.12.2~),
+               libkf5mailimporter-dev (>= 4:22.12.2~),
+               libkf5mailtransport-dev (>= 22.12.2~),
+               libkf5messageviewer-dev (>= 4:22.12.2~),
+               libkf5pimcommon-dev (>= 4:22.12.2~),
+               libkf5templateparser-dev (>= 4:22.12.2~),
+               libkf5webengineviewer-dev (>= 4:22.12.2~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qt5keychain-dev,
@@ -51,7 +51,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mailtransport-dev (>= 22.12.0~),
+Depends: libkf5mailtransport-dev (>= 22.12.2~),
          libkpimimportwizard5  (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
